<template>
  <q-layout view="lHh Lpr lFf">
    <q-header>
      <q-toolbar class="bg-white">
        <q-btn
          class="text-primary"
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="leftDrawerOpen = !leftDrawerOpen"
        />

        <q-toolbar-title class="text-primary">
          Stacks Node
        </q-toolbar-title>

        <div class="text-primary">Xenon Testnet</div>
      </q-toolbar>
    </q-header>

    <q-drawer v-model="leftDrawerOpen" show-if-above bordered mini>
      <q-avatar class="q-pa-xs">
        <img height="40px" width="32px" src="/images/bxs-backpack.svg" />
      </q-avatar>
      <q-list class="q-pt-sm">
        <q-item-label header class="text-grey-8">
          Essential Links
        </q-item-label>
        <AppLink v-for="link in appLinks" :key="link.title" v-bind="link" />
        <q-separator />
        <ExternalLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <q-page class="q-pa-md bg-grey-1">
        <router-view />
      </q-page>
    </q-page-container>
  </q-layout>
</template>

<script>
import ExternalLink from "components/ExternalLink.vue";
import AppLink from "components/AppLink.vue";

const appLinkData = [
  {
    title: "Home",
    caption: "StacksPack Home",
    icon: "img:/images/bxs-home.svg",
    link: "/"
  },
  {
    title: "Config",
    caption: "Configuration Files",
    icon: "img:/images/bxs-edit.svg",
    link: "/config"
  }
];

const externalLinkData = [
  {
    title: "Discord Chat Channel",
    caption: "chat.blockstack.org",
    icon: "chat",
    link: "https://discord.gg/6PcCMU"
  },
  {
    title: "Forum",
    caption: "forum.blockstack.org",
    icon: "record_voice_over",
    link: "https://forum.blockstack.org"
  },
  {
    title: "Twitter",
    caption: "@riotapps",
    icon: "rss_feed",
    link: "https://twitter.com/riotapps"
  }
];

export default {
  name: "MainLayout",
  components: { ExternalLink, AppLink },
  data() {
    return {
      leftDrawerOpen: false,
      essentialLinks: externalLinkData,
      appLinks: appLinkData
    };
  }
};
</script>
